Multiple sqljdbc*.jar Files in sqljdbc 6.0

Q

Why there are multiple sqljdbc*.jar files in the sqljdbc 6.0 distribution package?

✍: FYIcenter.com

A

sqljdbc 6.0 distribution package contains multiple sqljdbc*.jar files to be used in different situations:

  • sqljdbc42.jar supports JDBC 4.2 API and is compiled in JDK 1.8. You need to use sqljdbc42.jar, if you are using JDBC 4.2 API in JDK 1.8+ applications.
  • sqljdbc41.jar supports JDBC 4.1 API and is compiled in JDK 1.7. You need to use sqljdbc41.jar, if you are using JDBC 4.1 API in JDK 1.7+ applications.
  • sqljdbc4.jar supports JDBC 4.0 API and is compiled in JDK 1.6. You need to use sqljdbc4.jar, if you are using JDBC 4.0 API in JDK 1.6+ applications.
  • sqljdbc.jar supports JDBC 3.0 API and is compiled in JDK 1.5. You need to use sqljdbc.jar, if you are using JDBC 3.0 API in JDK 1.5, 1.6 and 1.7 applications. Using sqljdbc.jar in JDK 1.8 applications may not work.

 

Downloading sqljdbc - JDBC Driver for SQL Server

⇒⇒FAQ for sqljdbc - JDBC Driver for SQL Server

2017-01-11, 605👍, 0💬